Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Transactions

List Operations

OpenAPI Spec

Deprecated

Test this endpoint live

Open the same request directly in API Explorer.

Open in API Explorer

Server URL

GET
/public/api/v1/transactions/operations

Deprecated — use V2

Do not use this endpoint for new integrations. V1 is deprecated and will reach end of life soon. New integrations must use List Operations V2. Existing integrations should migrate to V2 as soon as possible.

Retrieve a paginated list of transaction operations. Query parameters page and perPage can be used to control pagination. finalizedBefore and finalizedAfter can be sent to only get operations finalized between certain timeframes. pointOfSaleId can be used to limit the operations to a list of points of sale.

The endpoint only returns operations in a finalized state of FAILED or SUCCESS.

Authorization

BearerAuth
headerAuthorizationBearer <token>

Query Parameters

pageinteger

Page number.

Default:
1
perPageinteger

Number of items per page.

Range:
value <= 500
Default:
25
finalizedBeforestring

A filter to limit operations created finalized before a certain time. RFC 3339 format.

Format:
date-time
finalizedAfterstring

A filter to limit operations created finalized after a certain time. RFC 3339 format.

Format:
date-time

An optional filter to limit operations from the given points of sale.

Response Body

application/json

application/json

application/json

application/json

curl -X GET 'https://payments.epay.eu/public/api/v1/transactions/operations'
{  "page": 0,  "perPage": 0,  "lastPage": 0,  "total": 0,  "firstPageUrl": "string",  "lastPageUrl": "string",  "nextPageUrl": "string",  "previousPageUrl": "string",  "nextPage": 0,  "previousPage": 0,  "from": 0,  "to": 0,  "path": "string",  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "referenceTransactionOperationId": "09c60a7b-397b-4797-a5c8-792dc558cbed",      "amount": 0,      "state": "PROCESSING",      "transactionId": "LDG7M4WW44G",      "type": "AUTHORIZATION",      "errorCode": "string",      "createdAt": "2019-08-24T14:15:22Z",      "finalizedAt": "2019-08-24T14:15:22Z"    }  ]}